Subject: Re: bug#66692: [cuirass] Spurious failed builds following patching u-boot sources

From: Ludovic Courtès <[email-masked]>
Date: Tue, 24 Oct 2023 22:27:07 +0200

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Ludovic Courtès <[email-masked]> skribis:
>>
>>> /var/log/cuirass-remote-server.log:
>>>
>>> 2023-10-23 00:26:06 0 items queued for eventual download
>>> 2023-10-23 00:26:55 period update: 0 resumable, 0 failed builds.
>>> 2023-10-23 00:26:58 error: failed to start worker/database proxy: Invalid argument
>>
>> EINVAL here most likely comes from replying to a sender with invalid ID,
>> due to ZMQ_ROUTER_MANDATORY, exactly what Cuirass commit
>> 40f70d28aed55c404cca6a0760860fb4942e6bee fixed and aimed to catch.
>
> Thanks for picking up the investigation.  Does that mean that the above
> fix was partial and that there likely is a use after free somewhere
> else?

Yes, the fix in Cuirass above was insufficient, though you had to be
truly unlucky for use-after-free to happen this quickly.

Anyway, I had also proposed a fix in guile-simple-zmq, which the upgrade
in Guix commit 04215779baaa21f10bd5f20999761dc506e449d8 pulls in.

I have yet to reconfigure on berlin.

In the meantime I’ll look at the worker side of this issue.

Ludo’.